#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
%define		lname		%(echo %{sname}  | tr '-' '_')
#-----------------------------------------------------------------------------
Name		:	python3-sphinxcontrib-qthelp
Version		:	1.0.2
Release		:	14.4.0.0%{?dist}
Summary		:	A sphinx extension which outputs QtHelp document.
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://pypi.org/project/sphinxcontrib-qthelp

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
sphinxcontrib-qthelp is a sphinx extension which outputs QtHelp document.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc LICENSE README.rst
%{python3_sitelib}/sphinxcontrib/qthelp/*
%{python3_sitelib}/%{lname}-%{version}-*.egg-info/
%{python3_sitelib}/%{lname}-%{version}-*-nspkg.pth

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}							\
	setup.py						\
	install							\
	-O1							\
	--skip-build						\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\

#-----------------------------------------------------------------------------
%changelog
